Runtime

## org.eclipse.gmf.runtime.common.ui.services.statusline
Interface IStatusLineContributionItemProvider

All Superinterfaces:
  IProvider

All Known Implementing Classes:
  AbstractStatusLineContributionItemProvider, StatusLineService

    public interface IStatusLineContributionItemProvider

extends IProvider

The interface for providers of the "statusLineContributionItemProvider" extension point. A status line item provider is responsible for retrieving a status line contribution for a `WorkbenchPart`.

Since:
  1.2

Method Summary
`java.util.List<IContributionItem>` `getStatusLineContributionItems(IWorkbenchPage workbenchPage)` Gets a list of contribution items for the status line.

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, provides, removeProviderChangeListener`

Method Detail

### getStatusLineContributionItems

    java.util.List<IContributionItem> getStatusLineContributionItems(IWorkbenchPage workbenchPage)

  Gets a list of contribution items for the status line.

  Parameters:
    `workbenchPage` - the workbench page.
  Returns:
    a list of contribution items for the status line .

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.